Subject: bug#19972: 24.4; Font size change doesn't update (window-total-width)

From: "Jan D." <[email-masked]>
Date: Tue, 03 Mar 2015 13:08:36 +0100

martin rudalics skrev den 2015-03-03 12:26:
>  > Lisp code that expects resize changes to be handeled synchronously
> and in order are fundamentally broken.
>  >
>  > That said, it may very well be a race here, i.e. the wrong height
> gets sent.  But this is only because bad Lisp code assumes synchronous
> handling.
>
> Fully agreed.  Unfortunately, it can be very difficult to explain this
> to users :-(
>
> BTW what is the x_wait_for_event in x_set_window_size_1 then really
> needed for?

Its an attempt to be nice to Lisp.  It can fail and time out.

	Jan D.